package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHandoverTransfer;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HandoverTransferMapper {
    /**
     */
    int deleteByPrimaryKey(String handoverTransferId);

    /**
     */
    int insert(TabHandoverTransfer record);

    /**
     */
    int insertSelective(TabHandoverTransfer record);

    /**
     */
    TabHandoverTransfer selectByPrimaryKey(String handoverTransferId);

    /**
     */
    int updateByPrimaryKeySelective(TabHandoverTransfer record);

    /**
     */
    int updateByPrimaryKey(TabHandoverTransfer record);

    /**
     * 根据分配以及继承staffId 查询记录
     */
    TabHandoverTransfer getByHandoverStaffIdAndTakeoverStaffId(@Param("wxEnterpriseId") String wxEnterpriseId,
                                                               @Param("handoverStaffId") String handoverStaffId,
                                                               @Param("takeoverStaffId") String takeoverStaffId);

    /**
     * 根据分配以及继承staffId 查询记录
     */
    int addCount(@Param("id") String id, @Param("count") int count);

    /**
     * 分配记录
     *
     * @param wxEnterpriseId
     * @param storeId
     * @return
     */
    public List<TabHandoverTransfer> listTransferByStoreId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("storeId") String storeId);

    /**
     * 获取分配记录 根据handoverStaffId
     *
     * @param wxEnterpriseId
     * @param handoverStaffId
     * @return
     */
    public List<TabHandoverTransfer> listTransferByHandoverStaffId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("handoverStaffId") String handoverStaffId);

    /**
     * 获取继承记录 根据takeoverStaffId
     *
     * @param wxEnterpriseId
     * @param takeoverStaffId
     * @return
     */
    public List<TabHandoverTransfer> listTransferByTakeoverStaffId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("takeoverStaffId") String takeoverStaffId);

    /**
     * 获取分配列表
     *
     * @param wxEnterpriseId
     * @param ids
     * @return
     */
    public List<TabHandoverTransfer> listTransferByIds(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("ids") List<String> ids);

    /**
     * 获取分配列表 企业级别
     *
     * @param wxEnterpriseId
     * @param date
     * @return
     */
    public List<TabHandoverTransfer> listTransferByWxEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("date") String date);
}